Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: не могу установить hp-plugin для сканера M2727nf  (Прочитано 7983 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Morisson

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 4535
    • Просмотр профиля
Re: не могу установить hp-plugin для сканера M2727nf
« Ответ #15 : 01 Март 2019, 10:51:30 »
При добавлении разумеется ничего не просит
Как это не просит..
Что-то недоустановлено, и это не плагин.

Оффлайн vovchok

  • Автор темы
  • Участник
  • *
  • Сообщений: 119
    • Просмотр профиля
Re: не могу установить hp-plugin для сканера M2727nf
« Ответ #16 : 01 Март 2019, 13:09:27 »
Принтер добавляется с любой версией hplip, но сканера нет. Я начал обновлять hplip потому, что на мфу М1536 не работал сканер, и он заработал после этого, но перестали печатать ранее имевшиеся принтер Р2015 и мфу М2727. Поэтому мфу М1536 я вернул продавцу а драйверы вернуть в исходное состояние не получается! Уже даже hp-plugin 3.16.11 установился после установки hplip 3.16.11 через run (а не из репозитория), но сканер на мфу М2727 все равно не находит и куда копать не ясно... Принтер печатает, а сканера нет - плагин установлен, все версии 3.16.11 (как на соседних компах, только не работает).

alang

  • Гость
Re: не могу установить hp-plugin для сканера M2727nf
« Ответ #17 : 01 Март 2019, 13:49:26 »
Что ты прицепился к плагину? Он нужен только для печати. Для сканирования нужны другие компоненты - sane, hpaio и прочее. Драйвером 3.16.11 поддерживается сканирование на обоих устройствах - и M1536, и M2727, незачем было вскрывать систему ломом и лезть в пакетный дистрибутив с run-установщиком. Что ты там наворопятил, ты уже и сам не понимаешь, а другие и подавно разбираться не станут.
А старые принтеры hp, драйвера для которых создавались еще в до-systemd эпоху, в новых hplip, действительно, работают криво. HP, по ходу, старый код не корректирует, а пихает в новые драйвера «как есть». Впрочем, так поступают не только в HP. По новой добавлять неработающие принтеры пробовал?

Оффлайн vovchok

  • Автор темы
  • Участник
  • *
  • Сообщений: 119
    • Просмотр профиля
Re: не могу установить hp-plugin для сканера M2727nf
« Ответ #18 : 01 Март 2019, 15:04:05 »
Без плагина идет только печать - сканер появляется только после установки плагина. Принтеры у меня сейчас работают - не работает сканер на М2727 (отсутствует в программе сканирования simple-scan).

alang

  • Гость
Re: не могу установить hp-plugin для сканера M2727nf
« Ответ #19 : 01 Март 2019, 15:12:14 »
сканер появляется только после установки плагина. Принтеры у меня сейчас работают - не работает сканер на М2727 (отсутствует в программе сканирования simple-scan).

Так, появляется или отсутствует?
Другие программы для сканирования пробовал? Xsane, например?

Оффлайн vovchok

  • Автор темы
  • Участник
  • *
  • Сообщений: 119
    • Просмотр профиля
Re: не могу установить hp-plugin для сканера M2727nf
« Ответ #20 : 03 Март 2019, 14:36:02 »
Нет сканнера в системе на этом конкретном ноуте - на остальных он есть (подключение ethernet). Отличие только в том, что на этом компе пытался подключить м1536 и установил, а потом удалил hplip 3.19.1 и вернул 3.16.11 вместе с плагином. Без плагина работает только печать на НР мфу - сканнера просто нет. Везде используется simple-scan, люди к ней привыкли, xsane не пробовал (зачем, если на других таких же компах нормально работает simple-scan).

Оффлайн vovchok

  • Автор темы
  • Участник
  • *
  • Сообщений: 119
    • Просмотр профиля
Re: не могу установить hp-plugin для сканера M2727nf
« Ответ #21 : 05 Март 2019, 00:08:16 »
Сканер видит, но сканировать не хочет, печать идет. Как это может быть?


« Последнее редактирование: 06 Март 2019, 16:26:26 от vovchok »

Оффлайн Morisson

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 4535
    • Просмотр профиля
Re: не могу установить hp-plugin для сканера M2727nf
« Ответ #22 : 05 Март 2019, 05:35:02 »
sudo apt install hplip*Потом в гуе нажмите на молоточек- там поставятся зависимости и произведется некая проверка.
После этого, если краснота есть и не исправилась- сюда.
Потом пробуете добавлять принтер. Плагтн СПРОСЯТ- предложать скачать автоматом и усьановить с сайта, установить плагин, скачанный руками и без него.

Оффлайн vovchok

  • Автор темы
  • Участник
  • *
  • Сообщений: 119
    • Просмотр профиля
Re: не могу установить hp-plugin для сканера M2727nf
« Ответ #23 : 05 Апрель 2019, 12:44:32 »
sudo apt install hplip*
user@comp:~$ sudo apt install hplip*
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
E: Не удалось найти пакет hplip-3.16.11
E: Не удалось найти пакет с помощью glob «hplip-3.16.11»
E: Не удалось найти пакет с помощью regex «hplip-3.16.11»
user@comp:~$
без звездочки запускается установка из репо без гуя, плагин не спрашивает
user@comp:~$ sudo apt install hplip
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Будут установлены следующие дополнительные пакеты:
  hplip-data libsane-hpaio printer-driver-postscript-hp
Предлагаемые пакеты:
  hplip-doc hplip-gui python3-notify2
НОВЫЕ пакеты, которые будут установлены:
  hplip hplip-data libsane-hpaio printer-driver-postscript-hp
обновлено 0, установлено 4 новых пакетов, для удаления отмечено 0 пакетов, и 96 пакетов не обновлено.
Необходимо скачать 7.355 kБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 12,9 MB.
Хотите продолжить? [Д/н]
Пол:1 http://old-releases.ubuntu.com/ubuntu zesty/main amd64 hplip-data all 3.16.11+repack0-2 [6.392 kB]
Пол:2 http://old-releases.ubuntu.com/ubuntu zesty/main amd64 libsane-hpaio amd64 3.16.11+repack0-2 [115 kB]
Пол:3 http://old-releases.ubuntu.com/ubuntu zesty/main amd64 hplip amd64 3.16.11+repack0-2 [65,7 kB]
Пол:4 http://old-releases.ubuntu.com/ubuntu zesty/main amd64 printer-driver-postscript-hp all 3.16.11+repack0-2 [783 kB]
Получено 7.355 kБ за 6с (1.122 kБ/c)                                                                                                                                                           
Выбор ранее не выбранного пакета hplip-data.
(Чтение базы данных … на данный момент установлено 209494 файла и каталога.)
Подготовка к распаковке …/hplip-data_3.16.11+repack0-2_all.deb …
Распаковывается hplip-data (3.16.11+repack0-2) …
Выбор ранее не выбранного пакета libsane-hpaio:amd64.
Подготовка к распаковке …/libsane-hpaio_3.16.11+repack0-2_amd64.deb …
Распаковывается libsane-hpaio:amd64 (3.16.11+repack0-2) …
Выбор ранее не выбранного пакета hplip.
Подготовка к распаковке …/hplip_3.16.11+repack0-2_amd64.deb …
Распаковывается hplip (3.16.11+repack0-2) …
Выбор ранее не выбранного пакета printer-driver-postscript-hp.
Подготовка к распаковке …/printer-driver-postscript-hp_3.16.11+repack0-2_all.deb …
Распаковывается printer-driver-postscript-hp (3.16.11+repack0-2) …
Обрабатываются триггеры для cups (2.2.2-1ubuntu1) …
Настраивается пакет hplip-data (3.16.11+repack0-2) …
Обрабатываются триггеры для man-db (2.7.6.1-2) …
Обрабатываются триггеры для dbus (1.10.10-1ubuntu2) …
Настраивается пакет libsane-hpaio:amd64 (3.16.11+repack0-2) …
Настраивается пакет hplip (3.16.11+repack0-2) …
Creating/updating hplip user account...
Настраивается пакет printer-driver-postscript-hp (3.16.11+repack0-2) …
user@comp:~$
« Последнее редактирование: 05 Апрель 2019, 12:47:51 от vovchok »

 

Страница сгенерирована за 0.11 секунд. Запросов: 25.